Win a copy of Functional Reactive Programming this week in the Other Languages forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

iam so confused

 
isl oeida
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
iam new in this forum and iam been with java since 2001, and i need to prepare scjp1.4 coz scjp5.0 is more difficult , but after getting certified is it worth or no body we look in 1.4 after 1 or 2 years ,,is j2se1.4 will still used or ...............help coz i feeel so confused
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you still have the choice, you'd better go for 5.0
 
Praveen Babu
Ranch Hand
Posts: 138
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by isl oeida:
iam new in this forum and iam been with java since 2001, and i need to prepare scjp1.4 coz scjp5.0 is more difficult , but after getting certified is it worth or no body we look in 1.4 after 1 or 2 years ,,is j2se1.4 will still used or ...............help coz i feeel so confused


I think it depends on how comfortable you are with java.If you really feel SCJP1.5 is tough then i think you should go for 1.4.

Both are equally worthy. Even though SCJP1.5 has come, SCJP1.4 will stay for a while now because, not many java programmers are used to the newer topics like Generics etc that have been introduced from java 1.5.
 
Shaan Shar
Ranch Hand
Posts: 1249
Java Spring Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by Praveen Babu:


I think it depends on how comfortable you are with java.If you really feel SCJP1.5 is tough then i think you should go for 1.4.

Both are equally worthy. Even though SCJP1.5 has come, SCJP1.4 will stay for a while now because, not many java programmers are used to the newer topics like Generics etc that have been introduced from java 1.5.


I Agreed with Praveen, JDK 1.5 is not completely changed from JDk 1.4 there are some changes which you may upgrade yourself after some time, but if you think that you are comfortable with JDK 1.4 then go ahead.

Best of Luck.
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hummm. I personnally don't feel like this.
If he only wants a one liner in his CV, then he could go for 1.4.
If he wants to work as a programmer, I think that he definitely has to go for 1.5
New technologies, books as well, use more and more 1.5 stuffs, like Annotations or Generics. (I'm thinking of EJB3 here).
If I would not be certified, I'd go for 1.5, 100%.
This may be tougher, but I don't think that getting certified is a matter of being easy or difficult.
It's a matter of getting a good understanding of new concepts.

Anyway, whatever version you go for, good luck
 
isl oeida
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
thanks all really thanks i am going to scjp1.4 , and iam familiar with java 1.5 concepts but i feel the exam is diffcult ,so iam going to the scjp 1.4 first wish me luck THANKS ALLLLLLLLLL
[ September 27, 2006: Message edited by: isl oeida ]
 
Praveen Babu
Ranch Hand
Posts: 138
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Good Luck oeida !!!
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic